diff options
| author | John Howard <jhoward@microsoft.com> | 2016-01-05 10:52:59 -0800 |
|---|---|---|
| committer | John Howard <jhoward@microsoft.com> | 2016-01-05 10:52:59 -0800 |
| commit | a3858873fa87ff5b209e89e70d127d822efc42a6 (patch) | |
| tree | c7023d3ff5ee6698a5fc4f5a47cc756d39ce4f63 /hack/make/.integration-daemon-stop | |
| parent | d5685a65d7fb2a4004c941995809931c840c26b6 (diff) | |
| download | docker-a3858873fa87ff5b209e89e70d127d822efc42a6.tar.gz | |
Windows CI: No integration daemon stop
Signed-off-by: John Howard <jhoward@microsoft.com>
Diffstat (limited to 'hack/make/.integration-daemon-stop')
| -rw-r--r-- | hack/make/.integration-daemon-stop | 36 |
1 files changed, 21 insertions, 15 deletions
diff --git a/hack/make/.integration-daemon-stop b/hack/make/.integration-daemon-stop index a72f1810bc..03c1b14689 100644 --- a/hack/make/.integration-daemon-stop +++ b/hack/make/.integration-daemon-stop @@ -1,21 +1,27 @@ #!/bin/bash -trap - EXIT # reset EXIT trap applied in .integration-daemon-start +if [ ! "$(go env GOOS)" = 'windows' ]; then + trap - EXIT # reset EXIT trap applied in .integration-daemon-start -for pidFile in $(find "$DEST" -name docker.pid); do - pid=$(set -x; cat "$pidFile") - ( set -x; kill "$pid" ) - if ! wait "$pid"; then - echo >&2 "warning: PID $pid from $pidFile had a nonzero exit code" - fi -done + for pidFile in $(find "$DEST" -name docker.pid); do + pid=$(set -x; cat "$pidFile") + ( set -x; kill "$pid" ) + if ! wait "$pid"; then + echo >&2 "warning: PID $pid from $pidFile had a nonzero exit code" + fi + done -if [ -z "$DOCKER_TEST_HOST" ]; then - # Stop apparmor if it is enabled - if [ -e "/sys/module/apparmor/parameters/enabled" ] && [ "$(cat /sys/module/apparmor/parameters/enabled)" == "Y" ]; then - ( - set -x - /etc/init.d/apparmor stop - ) + if [ -z "$DOCKER_TEST_HOST" ]; then + # Stop apparmor if it is enabled + if [ -e "/sys/module/apparmor/parameters/enabled" ] && [ "$(cat /sys/module/apparmor/parameters/enabled)" == "Y" ]; then + ( + set -x + /etc/init.d/apparmor stop + ) + fi fi +else + # Note this script is not actionable on Windows to Linux CI. Instead the + # DIND daemon under test is torn down by the Jenkins tear-down script + echo "INFO: Not stopping daemon on Windows CI" fi |
